wordlists
Get wordlist information by ID
Get the details of a wordlist. For contents, use /wordlists/{id}/contents
GET
/
wordlists
/
{id}
Get wordlist information by ID
curl --request GET \
--url https://app.pentest-tools.com/api/v2/wordlists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pentest-tools.com/api/v2/wordlists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pentest-tools.com/api/v2/wordlists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 1,
"name": "URL Fuzzer (default)",
"description": "This is the standard wordlist used by URL Fuzzer",
"num_words": 254,
"predefined": true
}
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}Authorizations
Use the "API key" from the profile page as the token
Path Parameters
id of wordlist to get
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get wordlist information by ID
